/* Reset default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Basic styling */
body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
}

/* Style the header */
.header {
    background-color: #557C55;
    color: #fff;
    padding: 1rem 0;
}

/* Style the navigation */
.nav {
    display: flex;
    justify-content: space-around;
    padding: 1rem;
}

.nav-list {
    list-style: none;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    font-size: 1.3rem;
}

.nav-item {
    display: inline;
    padding: 0.5rem 4rem;
}

.nav-link {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease, background-color 0.3s ease;
    position: relative;
    padding: 10px 20px; 
    border: 2px solid #fff; 
    border-radius: 0.3rem;
}

.nav-link:hover {
    color: #333; 
    background-color: #fff; 
}
/* Navigation End */


/* About Section */
.about-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem;
    background-color: #fff;
    text-align: center;
    margin: 2rem;
    border-radius: 8px;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1);
}

.about-title {
    font-size: 2.5rem;
    color: #333;
    margin-bottom: 1rem;
    text-align: center;
}

.about-text {
    font-size: 1.2rem;
    color: #666;
    margin-bottom: 2rem;
    text-align: center;
}

.section-content {
    font-size: 1.1rem;
    color: #666;
    text-align: center;
    padding: 0.5rem 10rem;
    margin-bottom: 1.5rem;
}

.closing-statement {
    font-size: 1.2rem;
    color: #666;
    max-width: 800px;
    text-align: center;
    font-style: italic;
}

/* About Section End */

/* Quality Assurance */
.featured-product {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem;
}

.section-title {
    font-size: 2.5rem;
    color: #333;
}

.featured-products {
    display: flex;
    justify-content: space-between;
    padding: 2rem;
    
}

.product-item {
    flex: 1;
    margin: 1rem;
    background-color: #fff;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1);
    text-align: center;
    padding: 2rem;
    border-radius: 0.5rem;
}

.product-image:hover {
    transform: scale(1.05);
}

.product-image {
    width: 80%;
    border-radius: 0.5rem;
    object-fit: cover;
    margin-bottom: 1rem;
    transition: transform 0.3s ease;    
}

.product-title {
    color: #333;
    font-size: 1.5rem;
    margin-bottom: 0.5rem;
}

.product-desc {
    color: #666;
    font-size: 1rem;
}
/* Quality Assurance End */

.footer {
    text-align: center;
    padding: 2rem;
    background-color: #557C55;
    color: #fff;
    font-size: 1.5rem;
    width: 100%;
}






/* Tablet View */
@media (max-width: 1000px) {

    h2 {
        font-size: 2rem;
        padding: 1rem;
    }

    .product-item {
        margin: 1rem 0.5rem;
    }

    .product-image {
        width: 100%;
    }

    .product-title {
        font-size: 1rem;
    }

    .product-desc {
        font-size: 0.7rem;
    }

    .section-title {
        font-size: 2rem;
    }

    .section-content {
        font-size: 0.9rem;
        padding: 0.5rem 5rem; 
    }

}

@media (max-width: 800px) {
    .about-title {
        font-size: 2rem;
    }

    .about-text,
    .closing-statement {
        font-size: 1rem;
    }

    .section-content {
        font-size: 0.9rem;
        padding: 0.5rem 1rem; 
    }

    .product-title {
        font-size: 0.9rem;
    }

    .product-desc {
        font-size: 0.6rem;
    }


}


@media (max-width: 680px) {

    .section-title {
        font-size: 1.8rem;
        padding: 0.5rem;
    }

    .featured-products{
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 2rem;
        padding: 0;
    }
    .product-image{
        width: 40%;
    }

    .product-item {
        margin: 0.5rem 5rem;
    }

    .product-title {
        font-size: 1rem;
    }

    .product-desc {
        font-size: 0.9rem;
    }
}





@media (max-width: 600px) {

    .nav {
        flex-direction: column;
        align-items: center;
    }

    .nav-list {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 100%;
        font-size: 1.1rem;
    }

    .nav-item {
        margin: 0.5rem 0;
    }

    .product-title {
        font-size: 1.2rem;
    }

    .product-desc {
        font-size: 1rem;
    }


    .footer {
        font-size: 1rem;
    }

}


/* Mobile View */
@media (max-width: 425px) {

    h2{
        text-align: center;
        font-size: 2rem;
        padding: 1rem;
    }

    .nav {
        padding: 0.5rem;
    }

    .featured-products {
        flex-direction: column;
    }

    .product-item {
        margin: 1rem 0;
    }

    .footer {
        font-size: 1.2rem;
        padding: 1.5rem;
    }
}   